(function ($) {
  Drupal.behaviors.highChart = {
    attach: function (context, settings) {
      $.each(settings.highChart, function (selector) {
        $(selector, context).once('highChart').each(function () {
          // Check if table contains expandable hidden rows.
          var options = drupalSettings.highChart[selector]['options'];
          var type = drupalSettings.highChart[selector]['type'];
          var dataTable = drupalSettings.highChart[selector]['data'];
          Highcharts.chart(selector,dataTable);
        });
      });
    }
  };

})(jQuery);
